#import <appkit/appkit.h>

void main()
{
	const char *unixFlag;
	Application *application;
	id	workspace;
	
	// Create a proxy for WorkspaceManager.
	application = [Application new];	
	workspace = [Application workspace];
		
	// Get the value for the UNIX expert flag.
	unixFlag = NXGetDefaultValue("System", "UnixExpert");
	
	// Toggle UNIX expert.
	if(strcmp(unixFlag, "Yes"))
		NXWriteDefault("System", "UnixExpert", "Yes");
	else
		NXWriteDefault("System", "UnixExpert", "No");

	// Tell WorkspaceManager a default changed.
	[workspace defaultsChanged];
	exit(0);
	return;
}
